namespace LHDN.CRM.Models.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("Ref_TPFileType")]
    public partial class TPFileType
    {
        [Key]
        public int TPFileTypeID { get; set; }

        [Required]
        [StringLength(50)]
        public string TPFileTypeName { get; set; }

        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }

        [Column(TypeName = "datetime2")]
        public DateTime CreatedDateTime { get; set; }

        [Required]
        [StringLength(255)]
        public string LastUpdatedBy { get; set; }

        [Column(TypeName = "datetime2")]
        public DateTime LastUpdatedDateTime { get; set; }
        
        public virtual ICollection<TPFileTypePrefixCls> TPFileTypePrefix { get; set; }
    }
}
